SOLVED Compiling EasyApache with the Magento 2 Technology Stack Requirements?

ItsMattSon

Well-Known Member
Sep 5, 2016
182
38
103
Perth
cPanel Access Level
Root Administrator
Hi cPanel,

EasyApache 4 is great and I love it - One problem for me.. Just not sure why some of the PHP extensions I search for are in the PHP Extensions list and others are not?

In this case, I'm referring to the ones Magento 2 needs to run correctly.

SimpleXML, as an example, does not show in the list but with this one I understand from another thread on here in my earlier searches that it is compiled into PHP since an earlier version than what I've got (I'm using 5.6). (ps. Thanks cPanelMichael for that one as it was an answer you gave).

Can someone help me identify why the following are not available in EasyApache PHP Extensions search?

I don't pretend to know my way around what is/isn't built into PHP or how to decipher the PHP documentation most of the time, so any support getting through my 5 point list would be so so so greatly appreciated!
 

ItsMattSon

Well-Known Member
Sep 5, 2016
182
38
103
Perth
cPanel Access Level
Root Administrator
Hi all,

I apologize - I seem to have managed to confirm for myself that mhash, openssl, pdo-mysql and xsl are are part of PHP now (yay!)

As for ImageMagick, looks like I'd need to install via PECL or not bother as it appears that gd is the alternative as per the Magento docs.

Thanks - No help required any longer :)

phpinfo.png